import { jsx } from "react/jsx-runtime";
import { UserSquareIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const UserSquare = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "UserSquare", ...props, children: /* @__PURE__ */ jsx(UserSquareIcon, { weight: variant }) });
  }
);
UserSquare.displayName = "UserSquare";
Object.assign(UserSquare, { isGdsIcon: true });
export {
  UserSquare
};
